__gnu_cxx::annotate_base(3cxx)

NAME
__gnu_cxx::annotate_base - Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

SYNOPSIS

Inherited by __gnu_cxx::throw_allocator_base< _Tp, _Cond >, __gnu_cxx::throw_allocator_base< _Tp, limit_condition >, and __gnu_cxx::throw_allocator_base< _Tp, random_condition >.

  Public Member Functions

void check (size_t label)
void check_allocated (void *p, size_t size)
void check_constructed (size_t label)
void check_constructed (void *p)
void erase (void *p, size_t size)
void erase_construct (void *p)
void insert (void *p, size_t size)
void insert_construct (void *p)

  Static Public Member Functions

static void check ()
static size_t get_label ()
static void set_label (size_t l)

  Friends

std::ostream & operator<< (std::ostream &, const annotate_base &)

Detailed Description

Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

Definition at line 88 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.